> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# clone-connector

> Clone a connector into the workspace.



## OpenAPI

````yaml /api-reference/membrane-api.json post /connectors/{idOrKey}/clone
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connectors/{idOrKey}/clone:
    post:
      summary: clone-connector
      description: Clone a connector into the workspace.
      operationId: cloneConnector
      parameters:
        - name: idOrKey
          in: path
          required: true
          schema:
            type: string
            description: Connector id, uuid, or key
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                version:
                  type: string
              additionalProperties: false
      responses:
        '200':
          description: Clone a connector into the workspace.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  key:
                    type: string
                  name:
                    type: string
                  isReadOnly:
                    type: boolean
                additionalProperties: {}
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````